<template>
    <v-card-text @keypress.enter="Login">
        <v-alert v-if="err != ''" dense text type="error">
            {{err}}
        </v-alert>
        <v-alert v-if="ok != ''" dense text type="success">
            {{success}}
        </v-alert>
        <v-form v-model="valid">
            <v-text-field label="username"
                          name="username"
                          v-model="user"

                          prepend-icon="mdi-account"
                          type="text"/>

            <v-text-field
                    id="password"
                    v-model="password"
                    autocomplete="password"
                    label="Password"
                    name="password"
                    prepend-icon="mdi-lock"
                    type="password"
            />
        </v-form>
        <v-card-actions>
            <v-spacer/>
            <v-btn @click="Login" color="primary">Login</v-btn>
        </v-card-actions>
    </v-card-text>
</template>

<style lang='scss' scoped>

</style>

<script lang='ts'>
    import {Component} from 'vue-property-decorator';
    import {Mixins} from "vue-mixin-decorator";
    import {Validable} from "../mixins/Validable";
    import {auth} from "../init";


    @Component
    export default class LoginComponent extends Mixins<Validable>(Validable) {
        valid: boolean = true;
        user: string = "";
        password: string = "";

        async Login() {
            const s = await auth.logIn(this.user, this.password);
            if (s) {
                await this.$router.push("/");
            } else {
                this.err = "Incorrect username or password";
            }

        }
    }
</script>
